Get Accounts at Bank
GET /obp/v7.0.0/banks/BANK_ID/accounts
OBPv6.0.0-getAccountsAtBank No role required AccountPrivateDataPublicData
Returns the list of accounts at BANK_ID that the user has access to. For each account the API returns the account ID and the views available to the user. Each account must have at least one private View.
This v6.0.0 version returns account_id instead of id for consistency with other v6.0.0 endpoints.
Optional request parameters for filtering with attributes: URL params example: /banks/some-bank-id/accounts?limit=50&offset=1
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
BANK_ID: gh.29.uk
JSON response body fields (8)
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- accounts
- bank_id
- gh.29.uk
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
- is_public
- false
- label
- My Account
- short_name
- views_available
Example success response
{
"accounts": [
{
"account_id": "8ca8a7e4-6d02-48e3-a029-0b2bf89de9f0",
"bank_id": "gh.29.uk",
"label": "My Account",
"views_available": [
{
"id": "owner",
"short_name": "Owner",
"is_public": false
}
]
}
]
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-50000: Unknown Error.